Index: src/Fl_Input_.cxx
===================================================================
RCS file: /cvsroot/fltk/fltk/src/Attic/Fl_Input_.cxx,v
retrieving revision 1.21.2.11.2.27
diff -u -r1.21.2.11.2.27 Fl_Input_.cxx
--- src/Fl_Input_.cxx	30 Jan 2003 21:42:00 -0000	1.21.2.11.2.27
+++ src/Fl_Input_.cxx	1 Nov 2003 00:59:10 -0000
@@ -656,11 +656,11 @@
   switch (event) {
 
   case FL_ENTER:
-    if (active_r()) window()->cursor(FL_CURSOR_INSERT);
+    if (active_r() && window()) window()->cursor(FL_CURSOR_INSERT);
     return 1;
 
   case FL_LEAVE:
-    if (active_r()) window()->cursor(FL_CURSOR_DEFAULT);
+    if (active_r() && window()) window()->cursor(FL_CURSOR_DEFAULT);
     return 1;
 
   case FL_FOCUS:
Index: src/Fl_Text_Display.cxx
===================================================================
RCS file: /cvsroot/fltk/fltk/src/Fl_Text_Display.cxx,v
retrieving revision 1.12.2.46
diff -u -r1.12.2.46 Fl_Text_Display.cxx
--- src/Fl_Text_Display.cxx	24 Aug 2003 13:09:06 -0000	1.12.2.46
+++ src/Fl_Text_Display.cxx	1 Nov 2003 00:59:27 -0000
@@ -2978,7 +2978,7 @@
 
     case FL_LEAVE:
     case FL_HIDE:
-      if (active_r()) {
+      if (active_r() && window()) {
         window()->cursor(FL_CURSOR_DEFAULT);
 
 	return 1;
Index: src/Fl_Tile.cxx
===================================================================
RCS file: /cvsroot/fltk/fltk/src/Fl_Tile.cxx,v
retrieving revision 1.5.2.5.2.4
diff -u -r1.5.2.5.2.4 Fl_Tile.cxx
--- src/Fl_Tile.cxx	30 Jan 2003 21:42:51 -0000	1.5.2.5.2.4
+++ src/Fl_Tile.cxx	1 Nov 2003 00:59:27 -0000
@@ -96,7 +96,7 @@
 
 static void set_cursor(Fl_Tile*t, Fl_Cursor c) {
   static Fl_Cursor cursor;
-  if (cursor == c) return;
+  if (cursor == c || !t->window()) return;
   cursor = c;
 #ifdef __sgi
   t->window()->cursor(c,FL_RED,FL_WHITE);
Index: src/Fl_Wizard.cxx
===================================================================
RCS file: /cvsroot/fltk/fltk/src/Attic/Fl_Wizard.cxx,v
retrieving revision 1.1.2.5
diff -u -r1.1.2.5 Fl_Wizard.cxx
--- src/Fl_Wizard.cxx	30 Jan 2003 21:43:00 -0000	1.1.2.5
+++ src/Fl_Wizard.cxx	1 Nov 2003 00:59:27 -0000
@@ -199,7 +199,7 @@
   // This will restore the mouse pointer to the window's default cursor
   // whenever the wizard pane is changed.  Otherwise text widgets that
   // show the next pane may leave the cursor set to the I beam, etc...
-  window()->cursor(FL_CURSOR_DEFAULT);
+  if (window()) window()->cursor(FL_CURSOR_DEFAULT);
 }
 
 
